# Uses of Enum Class
org.eclipse.net4j.util.om.monitor.SubMonitor.ProbingMode

Packages that use SubMonitor.ProbingMode
Package
Description
org.eclipse.net4j.util.om.monitor
Interfaces and classes for platform-independent progress monitoring.

## Uses of SubMonitor.ProbingMode in org.eclipse.net4j.util.om.monitor

Fields in org.eclipse.net4j.util.om.monitor declared as SubMonitor.ProbingMode
Modifier and Type
Field
Description
`static final SubMonitor.ProbingMode`
SubMonitor.ProbingMode.`DEFAULT`
Methods in org.eclipse.net4j.util.om.monitor that return SubMonitor.ProbingMode
Modifier and Type
Method
Description
`static SubMonitor.ProbingMode`
SubMonitor.ProbingMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SubMonitor.ProbingMode[]`
SubMonitor.ProbingMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.net4j.util.om.monitor with parameters of type SubMonitor.ProbingMode
Modifier and Type
Method
Description
`static SubMonitor`
SubMonitor.`convert(IProgressMonitor monitor, int work, SubMonitor.ProbingMode probingMode)`
Converts an unknown (possibly null) IProgressMonitor into a SubMonitor allocated with the given number of ticks.
`static SubMonitor`
SubMonitor.`convert(IProgressMonitor monitor, String taskName, int work, SubMonitor.ProbingMode probingMode)`
Converts an unknown (possibly null) IProgressMonitor into a SubMonitor allocated with the given number of ticks.
`static SubMonitor`
SubMonitor.`convert(IProgressMonitor monitor, SubMonitor.ProbingMode probingMode)`
Converts an unknown (possibly null) IProgressMonitor into a SubMonitor.